﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FoundationLib.Authorisation.Configuration;

namespace FoundationLib.Authorisation
{
	/// <summary>
	/// An abstract base class for authorisation services.
	/// </summary>
	public abstract class AuthorisationService : IAuthorisationService
	{
		/// <summary>
		/// The authorisation service configuration
		/// </summary>
		private AuthorisationConfigElement configuration;

		/// <summary>
		/// Gets or sets the authorisation service configuration.
		/// </summary>
		public AuthorisationConfigElement Configuration
		{
			get { return configuration; }
			set { configuration = value; }
		}

		/// <summary>
		/// Creates a new <see cref="AuthorisationServiceBase"/> instance.
		/// </summary>
		public AuthorisationService()
		{
		}

		/// <see cref="IAuthorisationService.Authorise(string, string)"/>
		public abstract bool Authorise(string username, string password);
	}
}
